GET api/show/{id}/tickets?reporting={reporting}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

reporting

boolean

Default value is False

Body Parameters

None.

Response Information

Resource Description

showDTO
NameDescriptionTypeAdditional information
Id

integer

None.

heading

string

Required

String length: inclusive between 0 and 150

salescode

string

None.

showdate

date

None.

showopeningtime

time interval

None.

showtime

time interval

None.

showclosingtime

time interval

None.

active

boolean

None.

sellout

boolean

None.

tourflag

boolean

None.

_allocation

integer

None.

allocation

integer

None.

_tickets_remaining

integer

None.

tickets_remaining

integer

None.

tickets_sold

integer

None.

tickets_held

integer

None.

tickets_percentage

decimal number

None.

standard_count

integer

None.

premium_count

integer

None.

nus_count

integer

None.

special_count

integer

None.

tickets_checked_in

integer

None.

price

decimal number

None.

nusprice

decimal number

None.

bookingfee

decimal number

None.

revenue_gross

decimal number

None.

revenue_net

decimal number

None.

lastUpdated

date

None.

updatedBy

string

None.

venueId

integer

None.

artists

Collection of artistMinDTO

None.

tickets

Collection of ticketDTO

None.

Response Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "heading": "sample string 2",
  "salescode": "sample string 3",
  "showdate": "2026-04-06T09:15:09.0755408+01:00",
  "showopeningtime": "00:00:00.1234567",
  "showtime": "00:00:00.1234567",
  "showclosingtime": "00:00:00.1234567",
  "active": true,
  "sellout": true,
  "tourflag": true,
  "_allocation": 1,
  "allocation": 1,
  "_tickets_remaining": 1,
  "tickets_remaining": 1,
  "tickets_sold": 7,
  "tickets_held": 8,
  "tickets_percentage": 700.0,
  "standard_count": 9,
  "premium_count": 10,
  "nus_count": 11,
  "special_count": 12,
  "tickets_checked_in": 13,
  "price": 1.0,
  "nusprice": 1.0,
  "bookingfee": 1.0,
  "revenue_gross": 14.0,
  "revenue_net": 15.0,
  "lastUpdated": "2026-04-06T09:15:09.0765263+01:00",
  "updatedBy": "sample string 17",
  "venueId": 18,
  "artists": [
    {
      "Id": 1,
      "artistName": "sample string 2",
      "order": 1,
      "active": true
    },
    {
      "Id": 1,
      "artistName": "sample string 2",
      "order": 1,
      "active": true
    }
  ],
  "tickets": [
    {
      "id": 1,
      "storeid": "sample string 2",
      "showid": 1,
      "showdate": "sample string 3",
      "heading": "sample string 4",
      "_price": 1.0,
      "price": 1.0,
      "originalprice": 1.0,
      "postcode": "sample string 5",
      "email": "sample string 6",
      "telephone": "sample string 7",
      "firstname": "sample string 8",
      "lastname": "sample string 9",
      "ordernumber": "sample string 10",
      "standard": false,
      "premium": true,
      "nus": true,
      "special": true,
      "restricted": true,
      "menuitem": true,
      "voucher": true,
      "_ticketdiscount": "sample string 11",
      "ticketdiscount": 0.0,
      "bookingfee": 1.0,
      "bookingdate": "2026-04-06T09:15:09.077524+01:00",
      "discountname": "sample string 12",
      "ticket_qr": "sample string 13",
      "checked_in": true,
      "last_action_time": "00:00:00.1234567",
      "order": {
        "storeid": "sample string 1",
        "storename": "sample string 2",
        "ordernumber": "sample string 3",
        "secureHostingreference": "sample string 4",
        "orderstatus": "sample string 5",
        "firstname": "sample string 6",
        "lastname": "sample string 7",
        "email": "sample string 8",
        "orderdate": "2026-04-06T09:15:09.077524+01:00",
        "basketcost": 1.0,
        "basketvat": 1.0,
        "baskettotal": 1.0,
        "ordernotes": "sample string 9",
        "lastchanged": "2026-04-06T09:15:09.077524+01:00",
        "customernote": "sample string 10",
        "ssp": true,
        "bo_booking": true,
        "bo_initial": "sample string 11",
        "tp_name": "sample string 12",
        "tp_email": "sample string 13",
        "tp_phone": "sample string 14",
        "ordergroup": "sample string 15",
        "parentorder": "sample string 16",
        "childorder": "sample string 17",
        "reference": "sample string 18",
        "vendor": "sample string 19",
        "voucher": "sample string 20",
        "paypal": true,
        "contact": {
          "contactGuid": "sample string 1",
          "firstName": "sample string 2",
          "lastName": "sample string 3",
          "title": "sample string 4",
          "city": "sample string 5",
          "postCode": "sample string 6",
          "phone": "sample string 7",
          "mobile": "sample string 8",
          "email": "sample string 9"
        }
      }
    },
    {
      "id": 1,
      "storeid": "sample string 2",
      "showid": 1,
      "showdate": "sample string 3",
      "heading": "sample string 4",
      "_price": 1.0,
      "price": 1.0,
      "originalprice": 1.0,
      "postcode": "sample string 5",
      "email": "sample string 6",
      "telephone": "sample string 7",
      "firstname": "sample string 8",
      "lastname": "sample string 9",
      "ordernumber": "sample string 10",
      "standard": false,
      "premium": true,
      "nus": true,
      "special": true,
      "restricted": true,
      "menuitem": true,
      "voucher": true,
      "_ticketdiscount": "sample string 11",
      "ticketdiscount": 0.0,
      "bookingfee": 1.0,
      "bookingdate": "2026-04-06T09:15:09.077524+01:00",
      "discountname": "sample string 12",
      "ticket_qr": "sample string 13",
      "checked_in": true,
      "last_action_time": "00:00:00.1234567",
      "order": {
        "storeid": "sample string 1",
        "storename": "sample string 2",
        "ordernumber": "sample string 3",
        "secureHostingreference": "sample string 4",
        "orderstatus": "sample string 5",
        "firstname": "sample string 6",
        "lastname": "sample string 7",
        "email": "sample string 8",
        "orderdate": "2026-04-06T09:15:09.077524+01:00",
        "basketcost": 1.0,
        "basketvat": 1.0,
        "baskettotal": 1.0,
        "ordernotes": "sample string 9",
        "lastchanged": "2026-04-06T09:15:09.077524+01:00",
        "customernote": "sample string 10",
        "ssp": true,
        "bo_booking": true,
        "bo_initial": "sample string 11",
        "tp_name": "sample string 12",
        "tp_email": "sample string 13",
        "tp_phone": "sample string 14",
        "ordergroup": "sample string 15",
        "parentorder": "sample string 16",
        "childorder": "sample string 17",
        "reference": "sample string 18",
        "vendor": "sample string 19",
        "voucher": "sample string 20",
        "paypal": true,
        "contact": {
          "contactGuid": "sample string 1",
          "firstName": "sample string 2",
          "lastName": "sample string 3",
          "title": "sample string 4",
          "city": "sample string 5",
          "postCode": "sample string 6",
          "phone": "sample string 7",
          "mobile": "sample string 8",
          "email": "sample string 9"
        }
      }
    }
  ]
}

application/xml, text/xml

Sample:
<showDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/JTTAPI.Models">
  <Id>1</Id>
  <_allocation>1</_allocation>
  <_tickets_remaining>1</_tickets_remaining>
  <active>true</active>
  <artists>
    <artistMinDTO>
      <Id>1</Id>
      <active>true</active>
      <artistName>sample string 2</artistName>
      <order>1</order>
    </artistMinDTO>
    <artistMinDTO>
      <Id>1</Id>
      <active>true</active>
      <artistName>sample string 2</artistName>
      <order>1</order>
    </artistMinDTO>
  </artists>
  <bookingfee>1</bookingfee>
  <heading>sample string 2</heading>
  <lastUpdated>2026-04-06T09:15:09.0765263+01:00</lastUpdated>
  <nus_count>11</nus_count>
  <nusprice>1</nusprice>
  <premium_count>10</premium_count>
  <price>1</price>
  <revenue_gross>14</revenue_gross>
  <revenue_net>15</revenue_net>
  <salescode>sample string 3</salescode>
  <sellout>true</sellout>
  <showclosingtime>PT0.1234567S</showclosingtime>
  <showdate>2026-04-06T09:15:09.0755408+01:00</showdate>
  <showopeningtime>PT0.1234567S</showopeningtime>
  <showtime>PT0.1234567S</showtime>
  <special_count>12</special_count>
  <standard_count>9</standard_count>
  <tickets>
    <ticketDTO>
      <_price>1</_price>
      <_ticketdiscount>sample string 11</_ticketdiscount>
      <bookingdate>2026-04-06T09:15:09.077524+01:00</bookingdate>
      <bookingfee>1</bookingfee>
      <checked_in>true</checked_in>
      <discountname>sample string 12</discountname>
      <email>sample string 6</email>
      <firstname>sample string 8</firstname>
      <heading>sample string 4</heading>
      <id>1</id>
      <last_action_time>PT0.1234567S</last_action_time>
      <lastname>sample string 9</lastname>
      <menuitem>true</menuitem>
      <nus>true</nus>
      <order>
        <basketcost>1</basketcost>
        <baskettotal>1</baskettotal>
        <basketvat>1</basketvat>
        <bo_booking>true</bo_booking>
        <bo_initial>sample string 11</bo_initial>
        <childorder>sample string 17</childorder>
        <contact>
          <city>sample string 5</city>
          <contactGuid>sample string 1</contactGuid>
          <email>sample string 9</email>
          <firstName>sample string 2</firstName>
          <lastName>sample string 3</lastName>
          <mobile>sample string 8</mobile>
          <phone>sample string 7</phone>
          <postCode>sample string 6</postCode>
          <title>sample string 4</title>
        </contact>
        <customernote>sample string 10</customernote>
        <email>sample string 8</email>
        <firstname>sample string 6</firstname>
        <lastchanged>2026-04-06T09:15:09.077524+01:00</lastchanged>
        <lastname>sample string 7</lastname>
        <orderdate>2026-04-06T09:15:09.077524+01:00</orderdate>
        <ordergroup>sample string 15</ordergroup>
        <ordernotes>sample string 9</ordernotes>
        <ordernumber>sample string 3</ordernumber>
        <orderstatus>sample string 5</orderstatus>
        <parentorder>sample string 16</parentorder>
        <paypal>true</paypal>
        <reference>sample string 18</reference>
        <secureHostingreference>sample string 4</secureHostingreference>
        <ssp>true</ssp>
        <storeid>sample string 1</storeid>
        <storename>sample string 2</storename>
        <tp_email>sample string 13</tp_email>
        <tp_name>sample string 12</tp_name>
        <tp_phone>sample string 14</tp_phone>
        <vendor>sample string 19</vendor>
        <voucher>sample string 20</voucher>
      </order>
      <ordernumber>sample string 10</ordernumber>
      <originalprice>1</originalprice>
      <postcode>sample string 5</postcode>
      <premium>true</premium>
      <restricted>true</restricted>
      <showdate>sample string 3</showdate>
      <showid>1</showid>
      <special>true</special>
      <storeid>sample string 2</storeid>
      <telephone>sample string 7</telephone>
      <ticket_qr>sample string 13</ticket_qr>
      <voucher>true</voucher>
    </ticketDTO>
    <ticketDTO>
      <_price>1</_price>
      <_ticketdiscount>sample string 11</_ticketdiscount>
      <bookingdate>2026-04-06T09:15:09.077524+01:00</bookingdate>
      <bookingfee>1</bookingfee>
      <checked_in>true</checked_in>
      <discountname>sample string 12</discountname>
      <email>sample string 6</email>
      <firstname>sample string 8</firstname>
      <heading>sample string 4</heading>
      <id>1</id>
      <last_action_time>PT0.1234567S</last_action_time>
      <lastname>sample string 9</lastname>
      <menuitem>true</menuitem>
      <nus>true</nus>
      <order>
        <basketcost>1</basketcost>
        <baskettotal>1</baskettotal>
        <basketvat>1</basketvat>
        <bo_booking>true</bo_booking>
        <bo_initial>sample string 11</bo_initial>
        <childorder>sample string 17</childorder>
        <contact>
          <city>sample string 5</city>
          <contactGuid>sample string 1</contactGuid>
          <email>sample string 9</email>
          <firstName>sample string 2</firstName>
          <lastName>sample string 3</lastName>
          <mobile>sample string 8</mobile>
          <phone>sample string 7</phone>
          <postCode>sample string 6</postCode>
          <title>sample string 4</title>
        </contact>
        <customernote>sample string 10</customernote>
        <email>sample string 8</email>
        <firstname>sample string 6</firstname>
        <lastchanged>2026-04-06T09:15:09.077524+01:00</lastchanged>
        <lastname>sample string 7</lastname>
        <orderdate>2026-04-06T09:15:09.077524+01:00</orderdate>
        <ordergroup>sample string 15</ordergroup>
        <ordernotes>sample string 9</ordernotes>
        <ordernumber>sample string 3</ordernumber>
        <orderstatus>sample string 5</orderstatus>
        <parentorder>sample string 16</parentorder>
        <paypal>true</paypal>
        <reference>sample string 18</reference>
        <secureHostingreference>sample string 4</secureHostingreference>
        <ssp>true</ssp>
        <storeid>sample string 1</storeid>
        <storename>sample string 2</storename>
        <tp_email>sample string 13</tp_email>
        <tp_name>sample string 12</tp_name>
        <tp_phone>sample string 14</tp_phone>
        <vendor>sample string 19</vendor>
        <voucher>sample string 20</voucher>
      </order>
      <ordernumber>sample string 10</ordernumber>
      <originalprice>1</originalprice>
      <postcode>sample string 5</postcode>
      <premium>true</premium>
      <restricted>true</restricted>
      <showdate>sample string 3</showdate>
      <showid>1</showid>
      <special>true</special>
      <storeid>sample string 2</storeid>
      <telephone>sample string 7</telephone>
      <ticket_qr>sample string 13</ticket_qr>
      <voucher>true</voucher>
    </ticketDTO>
  </tickets>
  <tickets_checked_in>13</tickets_checked_in>
  <tickets_held>8</tickets_held>
  <tickets_sold>7</tickets_sold>
  <tourflag>true</tourflag>
  <updatedBy>sample string 17</updatedBy>
  <venueId>18</venueId>
</showDTO>